SeekableIterator
Exceptions
SeekableIterator
PHP Manual

# SeekableIterator::seek

(PHP 5 >= 5.1.0)

SeekableIterator::seek — Seeks to a position

### Beschreibung

abstract public void SeekableIterator::seek ( int `$position` )

Seeks to a given position in the iterator.

### Parameter-Liste

`position`

  The position to seek to.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Fehler/Exceptions

Implementations should throw an OutOfBoundsException if the `position` is not seekable.

### Beispiele

Beispiel #1 SeekableIterator::seek() example

Seek to the item at position 3 in the iterator (ArrayIterator implements SeekableIterator).

`<?php
$array = array("apple", "banana", "cherry", "damson", "elderberry");
$iterator = new ArrayIterator($array);
$iterator->seek(3);
echo $iterator->current();
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    damson

### Siehe auch

- SeekableIterator
- Iterator

SeekableIterator
Exceptions
SeekableIterator
PHP Manual